TorqueScript Reference

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SceneObjectSet Class Reference

Inherits SimObject.

## Public Member Functions
void | add (obj1,...)
void | bringToFront (object)
void | callOnChildren (string method, string args...)
void | clear ()
void | deleteObjects ()
void | dumpObjects ()
Integer | findObjectByInternalName (string name, [bool searchChildren])
Integer | getCount ()
Integer | getObject (objIndex)
Boolean | isMember (object)
void | pushToBack (object)
void | remove (obj1,...)
void | reorderChild (child1, child2)
Public Member Functions inherited from SimObject
Integer | clone ([copyDynamicFields=false]?)
void | delete ()
Integer | getId ()
void | setName (newName)
String | getName ()
String | getClassNamespace ()
String | getSuperClassNamespace ()
void | setClassNamespace (nameSpace)
void | setSuperClassNamespace ()
Boolean | isMethod (string methodName)
String | call (methodName, [args]*)
void | dumpClassHierarchy ()
void | dump ()
Boolean | isMemberOfClass (string classname)
String | getClassName ()
String | getFieldValue (fieldName)
Boolean | setFieldValue (fieldName, value)
Integer | getDynamicFieldCount ()
String | getDynamicField (index)
Integer | getFieldCount ()
String | getField (int index)
void | setProgenitorFile (file)
String | getProgenitorFile ()
Integer | getType ()
String | getFieldType (fieldName)
void | setInternalName (string InternalName)
String | getInternalName ()
Boolean | isChildOfGroup (groupID)
Integer | getGroup ()
Boolean | startTimer (callbackFunction, float timePeriod, [repeat]?)
void | stopTimer ()
Boolean | isTimerActive ()
Integer | schedule (time, command, [arg]*)
Boolean | save (fileName, [selectedOnly]?)
void | addFieldFilter (fieldName)
void | removeFieldFilter (fieldName)

## Member Function Documentation

void add | ( | obj1 | ,
|  |  | ...
| ) |  |

Adds given list of objects to the SceneObjectSet.

Parameters

  obj_i | (i is unilimited) Variable list of objects to add

Returns
  No return value

void bringToFront | ( | object |  | ) |

Brings object to front of set.

Returns
  No return value.

void callOnChildren | ( | string | method,
|  | string | args...
| ) |  |

Call a method on all objects contained in the set.

Parameters

  method | The name of the method to call.
  args | The arguments to the method.

Note
  This method recurses into all SimSets that are children to the set.

See also
  callOnChildrenNoRecurse

void clear | ( |  | ) |

Clears the SceneObjectSet

Returns
  No return value

void deleteObjects | ( |  | ) |

Deletes all the objects in the SceneObjectSet.

Returns
  No return value

void dumpObjects | ( |  | ) |

Dumps the object data within the set

Returns
  No return value

Integer findObjectByInternalName | ( | string | name | ) |

Returns the object with given internal name

Parameters

  name | The internal name of the object you wish to find
  searchChildren | Set this true if you wish to search all children as well.

Returns
  Returns the ID of the object.

Integer getCount | ( |  | ) |

Returns
  Returns the number of objects in the SceneObjectSet

Integer getObject | ( | objIndex |  | ) |

Returns
  Returns the ID of the desired object or -1 on failure

Boolean isMember | ( | object |  | ) |

Returns
  Returns true if specified object is a member of the set, and false otherwise

void pushToBack | ( | object |  | ) |

Sends item to back of set.

Returns
  No return value.

void remove | ( | obj1 | ,
|  |  | ...
| ) |  |

Removes given listy of objects from the SceneObjectSet.

Parameters

  obj_i | (i is unilimited) Variable list of objects to remove

Returns
  No return value

void reorderChild | ( | child1 | ,
|  | child2 |
| ) |  |

Uses SceneObjectSet reorder to push child 1 before child 2 - both must already be child controls of this control

Parameters

  child1 | The child you wish to set first
  child2 | The child you wish to set after child1

Returns
  No return value.